package com.willalp.flow.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 流程模型对象 hs_flow_model
 *
 * @author willalp
 * @date 2022-10-09
 */

@TableName("hs_flow_model")
public class HsFlowModel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    private String id;

    /** 流程模型名称 */
    @Excel(name = "流程模型名称")
    private String flowModelName;

    /** 流程模型编码 */
    @Excel(name = "流程模型编码")
    private String flowModelCode;

    /** 是否删除（0.未删除；1.已删除） */
    @Excel(name = "是否删除", readConverterExp = "0=.未删除；1.已删除")
    @TableLogic
    private Integer isDelete;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setFlowModelName(String flowModelName)
    {
        this.flowModelName = flowModelName;
    }

    public String getFlowModelName()
    {
        return flowModelName;
    }
    public void setFlowModelCode(String flowModelCode)
    {
        this.flowModelCode = flowModelCode;
    }

    public String getFlowModelCode()
    {
        return flowModelCode;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("flowModelName", getFlowModelName())
            .append("flowModelCode", getFlowModelCode())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
